# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Types | Static Public Member Functions
Hurricane::Pad Class Reference

Pad description (API) More...

Inheritance diagram for Hurricane::Pad:
[legend]

## Public Types

typedef Component | Inherit
Public Types inherited from Hurricane::Component
typedef Go | Inherit

## Static Public Member Functions

static Pad * | create (Net *net, const Layer *layer, const Box &boundingBox)
Static Public Member Functions inherited from Hurricane::Component
static ComponentFilter | getIsUnderFilter (const Box &area)
Static Public Member Functions inherited from Hurricane::Go
static bool | autoMaterializationIsDisabled ()
static void | enableAutoMaterialization ()
static void | disableAutoMaterialization ()

## Additional Inherited Members

Public Member Functions inherited from Hurricane::Component
Net * | getNet () const
Rubber * | getRubber () const
Hook * | getBodyHook ()
virtual Hooks | getHooks () const
virtual Point | getPosition () const
Components | getConnexComponents () const
Components | getSlaveComponents () const
Public Member Functions inherited from Hurricane::Go
bool | isMaterialized () const
Public Member Functions inherited from Hurricane::DBo
virtual void | destroy ()
Property * | getProperty (const Name &) const
Properties | getProperties () const
bool | hasProperty () const
void | put (Property *)
void | remove (Property *)
void | removeProperty (const Name &)
void | clearProperties ()

## Detailed Description

Pad description (API)

# Introduction

A pad is an object representing a layout rectangle.

## Member Typedef Documentation

## ◆ Inherit

Hurricane::Pad::Inherit

Useful for calling upon methods of the base class without knowing it.

## Member Function Documentation

## ◆ create()

Pad * Hurricane::Pad::create | ( | Net * | net,
|  | const Layer * | layer,
|  | const Box & | boundingBox
| ) |  |

static

No description.

The documentation for this class was generated from the following files:

- Pad.h
- Pad.dox